EDIT - bug #7231

replace the SpringApplicationBus by Vaadin4Spring Event Bus in scoped contexts
02/01/2018 07:50 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 4.14

Severity: normal Found in Version:

Description

The SpringApplicationBus causes a couple probelms where it is being used in scoped spring contexts (see related tickets)
The Vaadin4Spring Event Bus will solve these.

related issues

#6673 - TODO remove the PopupEditorFactory again. DONE!!
#6562

potentially related issues

* #6811
Related issues:
Related to EDIT - bug #6673: conceptual problems with vaadin Popup editor pre... Closed
Related to EDIT - bug #6562: vaadin mvp framwork presenters without view Closed
Related to EDIT - feature request #7232: send events from view to presenter d... New
Related to EDIT - bug #6811: View and according Presenter are initialized 3x Closed

Associated revisions

Revision be4a9789 - 02/01/2018 02:56 PM - Andreas Kohlbecker
fix #7231 replacing SpringApplicationEventBus by scoped Vaadin4Spring Event Bus

Revision 216939 - 02/02/2018 05:29 PM - Andreas Kohlbecker

ref #7231 bug fix for events from foreign views

History

#1 - 02/01/2018 07:51 AM - Andreas Kohlbecker
- Related to bug #6673: conceptual problems with vaadin Popup editor presenters (AbstractEditorPresenter) added

#2 - 02/01/2018 07:54 AM - Andreas Kohlbecker

- Description updated

#3 - 02/01/2018 07:55 AM - Andreas Kohlbecker

- Description updated

#4 - 02/01/2018 07:55 AM - Andreas Kohlbecker

- Related to bug #6562: vaadin mvp framwork presenters without view added

#5 - 02/01/2018 02:56 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|be4a97890b3a6e3e67b4be334dcc7d4ead99fd35.
https://github.com/peholmst/vaadin4spring/tree/master/addons/eventbus
https://dev.e-taxonomy.eu/redmine/issues/6673
https://dev.e-taxonomy.eu/redmine/issues/6562
https://dev.e-taxonomy.eu/redmine/issues/6811
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-vaadin/revisions/be4a97890b3a6e3e67b4be334dcc7d4ead99fd35

#6 - 02/01/2018 02:57 PM - Andreas Kohlbecker
- Description updated

#7 - 02/01/2018 03:04 PM - Andreas Kohlbecker

- Related to feature request #7232: send events from view to presenter direcly added

#8 - 02/01/2018 03:13 PM - Andreas Kohlbecker
- Description updated

#9 - 02/01/2018 03:13 PM - Andreas Kohlbecker
- Description updated

#10 - 02/01/2018 03:25 PM - Andreas Kohlbecker

- Related to bug #6811: View and according Presenter are initialized 3x added

#11 - 02/01/2018 03:26 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

#12 - 02/07/2018 09:42 PM - Andreas Kohlbecker

- Related to feature request #6718: Constistent TypeDesignation representation creation added

#13 - 02/07/2018 09:42 PM - Andreas Kohlbecker

- Related to deleted (feature request #6718: Constistent TypeDesignation representation creation )
